### Signal

# Gtk PrintOperation::done

#### Declaration

    void
    done (
      GtkPrintOperation self,
      GtkPrintOperationResult result,
      gpointer user_data
    )

#### Description [src]

Emitted when the print operation run has finished doing everything required for printing.

`result` gives you information about what happened during the run. If `result` is `GTK_PRINT_OPERATION_RESULT_ERROR` then you can call gtk_print_operation_get_error() for more information.

If you enabled print status tracking then gtk_print_operation_is_finished() may still return `FALSE` after the ::done signal was emitted.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`result` | `GtkPrintOperationResult`
| The result of the print operation.